Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.factories
Class ElementFactory

    java.lang.Object
      com.lowagie.text.factories.ElementFactory

    public class ElementFactory

extends Object

This class is able to create Element objects based on a list of properties.

Constructor Summary
`ElementFactory()`

Method Summary
`static Anchor` | `getAnchor(Properties attributes)` Creates an Anchor object based on a list of properties.
`static Annotation` | `getAnnotation(Properties attributes)` Creates an Annotation object based on a list of properties.
`static Cell` | `getCell(Properties attributes)` Creates a Cell object based on a list of properties.
`static ChapterAutoNumber` | `getChapter(Properties attributes)` Creates a ChapterAutoNumber object based on a list of properties.
`static Chunk` | `getChunk(Properties attributes)` Creates a Chunk object based on a list of properties.
`static Image` | `getImage(Properties attributes)` Creates an Image object based on a list of properties.
`static List` | `getList(Properties attributes)` Creates a List object based on a list of properties.
`static ListItem` | `getListItem(Properties attributes)` Creates a ListItem object based on a list of properties.
`static Paragraph` | `getParagraph(Properties attributes)` Creates a Paragraph object based on a list of properties.
`static Phrase` | `getPhrase(Properties attributes)` Creates a Phrase object based on a list of properties.
`static Section` | `getSection(Section parent, Properties attributes)` Creates a Section object based on a list of properties.
`static Table` | `getTable(Properties attributes)` Creates an Table object based on a list of properties.
`private static void` | `setRectangleProperties(Rectangle rect, Properties attributes)` Sets some Rectangle properties (for a Cell, Table,...).
`private static void` | `setSectionParameters(Section section, Properties attributes)` Helper method to create a Chapter/Section object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ElementFactory

    public ElementFactory()

Method Detail

### getChunk

    public static Chunk getChunk(Properties attributes)

  Creates a Chunk object based on a list of properties.

  Parameters:
    `attributes` -
  Returns:
    a Chunk

### getPhrase

    public static Phrase getPhrase(Properties attributes)

  Creates a Phrase object based on a list of properties.

  Parameters:
    `attributes` -
  Returns:
    a Phrase

### getAnchor

    public static Anchor getAnchor(Properties attributes)

  Creates an Anchor object based on a list of properties.

  Parameters:
    `attributes` -
  Returns:
    an Anchor

### getParagraph

    public static Paragraph getParagraph(Properties attributes)

  Creates a Paragraph object based on a list of properties.

  Parameters:
    `attributes` -
  Returns:
    a Paragraph

### getListItem

    public static ListItem getListItem(Properties attributes)

  Creates a ListItem object based on a list of properties.

  Parameters:
    `attributes` -
  Returns:
    a ListItem

### getList

    public static List getList(Properties attributes)

  Creates a List object based on a list of properties.

  Parameters:
    `attributes` -
  Returns:
    the List

### getCell

    public static Cell getCell(Properties attributes)

  Creates a Cell object based on a list of properties.

  Parameters:
    `attributes` -
  Returns:
    a Cell

### getTable

    public static Table getTable(Properties attributes)

  Creates an Table object based on a list of properties.

  Parameters:
    `attributes` -
  Returns:
    a Table

### setRectangleProperties

    private static void setRectangleProperties(Rectangle rect,
                                               Properties attributes)

  Sets some Rectangle properties (for a Cell, Table,...).

### getChapter

    public static ChapterAutoNumber getChapter(Properties attributes)

  Creates a ChapterAutoNumber object based on a list of properties.

  Parameters:
    `attributes` -
  Returns:
    a Chapter

### getSection

    public static Section getSection(Section parent,
                                     Properties attributes)

  Creates a Section object based on a list of properties.

  Parameters:
    `attributes` -
  Returns:
    a Section

### setSectionParameters

    private static void setSectionParameters(Section section,
                                             Properties attributes)

  Helper method to create a Chapter/Section object.

  Parameters:
    `attributes` -

### getImage

    public static Image getImage(Properties attributes)
                          throws BadElementException,
                                 MalformedURLException,
                                 IOException

  Creates an Image object based on a list of properties.

  Parameters:
    `attributes` -
  Returns:
    an Image
  Throws:
    `BadElementException`
    `MalformedURLException`
    `IOException`

### getAnnotation

    public static Annotation getAnnotation(Properties attributes)

  Creates an Annotation object based on a list of properties.

  Parameters:
    `attributes` -
  Returns:
    an Annotation

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD